This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254275 - neutron-dhcp-agent.service is not enabled after packstack deploy
neutron-dhcp-agent.service is not enabled after packstack deploy
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-neutron (Show other bugs)
Kilo
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: lpeer
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 10:50 EDT by Noam Angel
Modified: 2016-05-19 11:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:56:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noam Angel 2015-08-17 10:50:43 EDT
Description of problem:

on compute node:

systemctl status neutron-dhcp-agent.service 
neutron-dhcp-agent.service - OpenStack Neutron DHCP Agent     
   Loaded: loaded (/usr/lib/systemd/system/neutron-dhcp-agent.service; disabled)
   Active: inactive (dead)                                                      



Version-Release number of selected component (if applicable):
kilo

How reproducible:
every time


Steps to Reproduce:
packstack deploy compute on different host
reboot compute node.
service "neutron-dhcp-agent.service" is dead

Actual results:


Expected results:
systemctl status  neutron-dhcp-agent.service
neutron-dhcp-agent.service - OpenStack Neutron DHCP Agent
   Loaded: loaded (/usr/lib/systemd/system/neutron-dhcp-agent.service; enabled)
   Active: active (running) since Mon 2015-08-17 17:33:23 IDT; 12min ago
 Main PID: 3833 (neutron-dhcp-ag)
   CGroup: /system.slice/neutron-dhcp-agent.service
           └─3833 /usr/bin/python2 /usr/bin/neutron-dhcp-agent --config-file /usr/share/neutron/neutron-dist.conf --config-file /etc/neutron/neutron.conf --config-file /etc/neutron/dhcp_agent.ini --config-dir /etc/neutron/conf.d/neutr...



Additional info:
Comment 1 Chandan Kumar 2016-05-19 11:56:24 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.